Bug 854972 - 3.2 - vdsm: getIsoList will succeed even when permission are shown with nobody: nobody but getFloppyList will fail with permission error (NFS v4 mount only)
3.2 - vdsm: getIsoList will succeed even when permission are shown with nobod...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Eduardo Warszawski
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 08:24 EDT by Dafna Ron
Modified: 2016-02-10 13:07 EST (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0.el6ev.x86_64.rpm
Doc Type: Release Note
Doc Text:
Previously when VDSM attempted to run getFloppyList on an NFSv4 storage domain an error was returned if the permissions of the NFS export were not set correctly, or if the VDSM host was in a different NFS domain to the storage server. This has now been fixed, and the getFloppyList command succeeds as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:19:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (2.70 MB, application/x-gzip)
2012-09-06 08:24 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-06 08:24:29 EDT
Created attachment 610292 [details]
logs

Description of problem:

when connecting to a storage server taht has NFSv3 with NFSv4, query of getIsoList will succeed but getFloppyList will fail with permissions error. 

Version-Release number of selected component (if applicable):

si17
vdsm-4.9.6-32.0.el6_3.x86_64

How reproducible:

100%

Steps to Reproduce:
1. have an iso domain on storage server working with NFSv3 and attach the domain to your setup
2. go to storage -> select iso domain -> images
3.
  
Actual results:

getIsoList will succeed but getFloppyList will fail with permissions error

Expected results:

both should fail and domain should become inactive with proper error on NFSv

Additional info: logs


[root@gold-vdsd ~]# vdsClient -s 0 getIsoList e5a6a3a6-0a74-40ba-817e-3e2c1090e8af
------ ISO list with proper permissions only -------
fakeISO01.iso
RHEV-toolsSetup_2.2_47513.iso
RHEV-toolsSetup_2.3_327.iso
WindowsXP-sp2-vlk.iso
en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_x64_dvd_x15-59754.iso
RHEV-toolsSetup_2.3_359.iso
RHEV-toolsSetup_3.0_30.iso
Windows7-ent.iso
RHEV-toolsSetup_2.3_360-fake.iso
Windows2008-x86.iso
WindowsXP.iso
EnglishWindowsServer2003R2withSP2VLPStandard64bitDISC1.iso
RHEV-toolsSetup_2.3_276.iso
Windows2003-r2-x64-disc2.iso
EnglishWindowsServer2003R2withSP2VLPStandard64bitDISC2.iso
Windows2008-x64.iso


[root@gold-vdsd ~]# vdsClient -s 0 getFloppyList e5a6a3a6-0a74-40ba-817e-3e2c1090e8af
Cannot get ISO list: ('e5a6a3a6-0a74-40ba-817e-3e2c1090e8af',)


ls on domain from host: 

-rw-r--r--. 1 nobody nobody 3121215488 Jul  2 16:33 en_windows_7_enterprise_x64_dvd_x15-70749.iso
-rwxr-xr-x. 1 nobody nobody 2400401408 Jul  2 16:33 en_windows_7_enterprise_x86_dvd_x15-70745.iso
-rw-r--r--. 1 nobody nobody 2996799488 Jul  2 16:33 en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_x64_dvd_x15-59754.iso
-rwxr-xr-x. 1 nobody nobody 2996799488 Jul  2 16:33 en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_x64_dvd_x15-59754.iso.orig
-rw-r--r--. 1 nobody nobody  617754624 Jul  2 16:33 en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso
-rw-r--r--. 1 nobody nobody          0 Jul  2 16:33 fakeISO01.iso
-rw-r--r--. 1 nobody nobody          0 Jul  2 16:33 fakeISO02.iso
-rw-r--r--. 1 nobody nobody          0 Jul  2 16:33 fakeISO1.iso
-rwxr-xr-x. 1 nobody nobody   28396953 Jul  2 16:33 rhel6.initrd
-rwxr-xr-x. 1 nobody nobody    3935632 Jul  2 16:33 rhel6.vmlinuz
-rw-r--r--. 1 nobody nobody  137363456 Jul  2 16:34 rhev-hypervisor-6.1-snap27.el6.iso
-rw-r--r--. 1 nobody nobody  140394496 Jul  2 16:34 rhev-tools-setup.iso
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 virtio-drivers-1.0.0-45801.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 virtio-drivers-1.0.0-8.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 virtio-drivers.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 virtio-win-1.1.16.vfd
-rw-r-----. 1 nobody nobody    1474560 Jul  2 16:34 virtio-win-1.4.0.vfd
-rw-r--r--. 1 nobody nobody    3844637 Jul  2 16:34 wget-log
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 win2000-Pro-unattended.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 win2003-32-unattended.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 win2003-x64-unattended.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k3-32-with-virtio.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k3-64-with-virtio.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k3.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k3x64.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k8-32_with_virtio.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k8-R2.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win2k8-R2_with_virtio.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win7-32.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win7-32_with_virtio.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win7-64.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 win7x64_with_virtio.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 winXP-Pro-SP2-32-unattended.vfd
-rw-r--r--. 1 nobody nobody    1474560 Jul  2 16:34 winXP-x64-unattended.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 winxp.vfd
-rwxr-xr-x. 1 nobody nobody    1474560 Jul  2 16:34 winxp_32_virtio.vfd
Comment 2 Eduardo Warszawski 2012-10-11 04:02:35 EDT
If the mount is NFSv4, please check that the vdsm user is correctly configured in the mapping.
If your intention is to use NFSv3 please check your code includes patch:

storage: Default to NFSv3 if version not specified
reviewed-on: http://gerrit.ovirt.org/8241
Change-Id: I83307ecd8262688f3d4ddb43b62a79924ecfc62c
https://bugzilla.redhat.com/855729
Comment 5 Dafna Ron 2012-10-14 04:19:22 EDT
[root@gold-vdsc ~]# mount |grep wolf
wolf.qa.lab.tlv.redhat.com:/volumes/wolf/shared/shared_iso_domain1 on /rhev/data-center/mnt/wolf.qa.lab.tlv.redhat.com:_volumes_wolf_shared_shared__iso__domain1 type nfs (rw,soft,nosharecache,timeo=600,retrans=6,vers=4,addr=10.35.64.102,clientaddr=10.35.115.21)
Comment 6 Itamar Heim 2012-10-29 11:04:29 EDT

*** This bug has been marked as a duplicate of bug 854975 ***
Comment 10 Ayal Baron 2013-02-06 16:49:36 EST
Does this still happen?
Comment 13 Dafna Ron 2013-02-07 10:55:54 EST
(In reply to comment #10)
> Does this still happen?

no. we are able to see floppy list even with vers=4: 

013-02-07 17:52:01,273 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetFloppyListVDSCommand] (ajp-/127.0.0.1:8702-1) START, GetFloppyListVDSCommand( storagePoolId = 2c6ae855-ca5d-4781-ac89-fe246331a0c2, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 6e762b5c
2013-02-07 17:52:01,363 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetFloppyListVDSCommand] (ajp-/127.0.0.1:8702-1) FINISH, GetFloppyListVDSCommand, return: [win7-64.vfd, win2003-x64-unattended.vfd, win2k8-32_with_virtio.vfd, win7x64_with_virtio.vfd, win7-32.vfd, win2k3-64-with-virtio.vfd, win2003-32-unattended.vfd, win2000-Pro-unattended.vfd, win2k3-32-with-virtio.vfd, win2k8-R2.vfd, virtio-drivers-1.0.0-45801.vfd, win2k3.vfd, winxp.vfd, win2k3x64.vfd, winXP-Pro-SP2-32-unattended.vfd, virtio-drivers.vfd, virtio-win-1.1.16.vfd, winXP-x64-unattended.vfd, win7-32_with_virtio.vfd, winxp_32_virtio.vfd, virtio-drivers-1.0.0-8.vfd, win2k8-R2_with_virtio.vfd], log id: 6e762b5c


wolf.qa.lab.tlv.redhat.com:/volumes/wolf/shared/shared_iso_domain1 on /rhev/data-center/mnt/wolf.qa.lab.tlv.redhat.com:_volumes_wolf_shared_shared__iso__domain1 type nfs (rw,soft,nosharecache,timeo=600,retrans=6,nfsvers=4,addr=10.35.64.102,clientaddr=10.35.115.21)
[root@gold-vdsc ~]# rpm -qa |grep vdsm 
vdsm-cli-4.10.2-7.0.el6ev.noarch
vdsm-xmlrpc-4.10.2-7.0.el6ev.noarch
vdsm-python-4.10.2-7.0.el6ev.x86_64
vdsm-4.10.2-7.0.el6ev.x86_64
[root@gold-vdsc ~]#
Comment 17 Elad 2013-02-27 05:26:14 EST
Tested on SF8. GetIsoList and also GetFloppyList commands succeeded. 

2013-02-27 12:21:50,405 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetFloppyListVDSCommand] (ajp-/127.0.0.1:8702-1) START, GetFloppyListVDSCommand( storagePoolId = 0e8dadf8-3431-425c-a90b-2837c1735551, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 69bf47e4
2013-02-27 12:21:50,458 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetFloppyListVDSCommand] (ajp-/127.0.0.1:8702-1) FINISH, GetFloppyListVDSCommand, return: [win7-64.vfd, win2003-x64-unattended.vfd, win2k8-32_with_virtio.vfd, win7x64_with_virtio.vfd, win7-32.vfd, win2k3-64-with-virtio.vfd, win2003-32-unattended.vfd, win2000-Pro-unattended.vfd, win2k3-32-with-virtio.vfd, win2k8-R2.vfd, virtio-drivers-1.0.0-45801.vfd, win2k3.vfd, winxp.vfd, win2k3x64.vfd, virtio-win-1.4.0.vfd, winXP-Pro-SP2-32-unattended.vfd, virtio-drivers.vfd, virtio-win-1.1.16.vfd, winXP-x64-unattended.vfd, win7-32_with_virtio.vfd, winxp_32_virtio.vfd, virtio-drivers-1.0.0-8.vfd, win2k8-R2_with_virtio.vfd], log id: 69bf47e4
Comment 18 Itamar Heim 2013-06-11 05:19:33 EDT
3.2 has been released
Comment 19 Itamar Heim 2013-06-11 05:42:56 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.